### Method

# Gimp Layer set_composite_mode

since: 2.10

#### Declaration [src]

    gboolean
    gimp_layer_set_composite_mode (
      GimpLayer* layer,
      GimpLayerCompositeMode composite_mode
    )

#### Description [src]

Set the composite mode of the specified layer.

This procedure sets the specified layer’s composite mode.

Available since: 2.10

#### Parameters

`composite_mode`

  Type: `GimpLayerCompositeMode`

  The new layer composite mode.

#### Return value

Type: `gboolean`

TRUE on success.